Skip to main content
POST
Create product

Authorizations

Authorization
string
header
required

API token from the Zenedu dashboard

Path Parameters

bot
integer
required

Bot ID

Body

application/json
name
string
required

Product name

Maximum string length: 255
platform
enum<string>
required

Platform: miniApp or bot

Available options:
miniApp,
bot
folder_id
integer | null

Folder ID

template_code
string | null

Template code

offer_id
integer | null

Existing offer ID of the bot; cannot be combined with offer

offer
object

New offer to create together with the product. Same fields as the create offer request; mutually exclusive with offer_id. Product only.

Response

Created product; offer_id is the ID of the attached or created offer, if any

data
object
offer_id
integer | null

Attached or created offer ID